Skip to main content
PUT
/
forms
/
{feed_form_id}
Update a review form
curl --request PUT \
  --url https://api.feedspace.io/v3/forms/{feed_form_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "is_paused": true,
  "description": "<string>",
  "page_title": "<string>",
  "page_main_message": "<string>",
  "messaging_description": "<string>",
  "page_image": "<string>",
  "hide_image": 0,
  "favicon": "<string>",
  "review_label_ids": [
    "<string>"
  ],
  "allow_video_recording": 0,
  "video_button_label": "<string>",
  "allow_screen_recording": 0,
  "screen_button_label": "<string>",
  "allow_audio_recording": 0,
  "audio_button_label": "<string>",
  "allow_text_review": 0,
  "text_button_label": "<string>",
  "allow_upload_file_option": 0,
  "text_file_upload_label": "<string>",
  "allow_files": [
    "<string>"
  ],
  "allow_review_type": "0",
  "remark_placeholder": "<string>",
  "option_to_add_remark": 0,
  "is_required_remark": 0,
  "additionalinfo": [
    "<string>"
  ],
  "other_text_label": "<string>",
  "other_text_placeholder": "<string>",
  "other_text2_label": "<string>",
  "other_text2_placeholder": "<string>",
  "other_text3_label": "<string>",
  "other_text3_placeholder": "<string>",
  "consent_label": "<string>",
  "thank_you_type": "thank_you_page",
  "thankyou_title": "<string>",
  "thankyou_message": "<string>",
  "thankyou_reveal_text": "<string>",
  "thankyou_redirection_url": "<string>",
  "allow_video_and_shareable_link": "0",
  "other_review_platforms_enabled": 0,
  "other_review_platforms": [
    {
      "url": "<string>",
      "platform": "<string>",
      "is_enabled": true,
      "button_text": "<string>",
      "icon": "<string>"
    }
  ],
  "thankyou_affiliate_link": "<string>",
  "thankyou_is_enable_affiliate_link": 0,
  "hide_signup_section": 0,
  "allow_star_redirection": true,
  "star_redirection_min_rating": 123,
  "star_redirection_platforms": [
    {
      "url": "<string>",
      "platform": "<string>",
      "is_enabled": true,
      "button_text": "<string>",
      "icon": "<string>",
      "button_style": {}
    }
  ],
  "allow_introduction_media": 0,
  "introduction_media": [
    {
      "type": "video",
      "details": {
        "file": "<string>",
        "file_name": "<string>",
        "original_url": "<string>",
        "original_path": "<string>"
      }
    }
  ],
  "allow_thankyou_message_media": 0,
  "thankyou_message_media": [
    {
      "type": "video",
      "details": {
        "file": "<string>",
        "file_name": "<string>",
        "original_url": "<string>",
        "original_path": "<string>"
      }
    }
  ],
  "has_allow_media_review": 0,
  "has_capture_star_rating": 0,
  "has_capture_comment": 0,
  "has_allow_image_uploads": 0,
  "show_reviews_on_form": 0,
  "reviews_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_enable_affiliate_link": 0,
  "branding_affiliate_link": "<string>",
  "submit_attributes": {},
  "thankyou_attributes": {},
  "form_attributes": {},
  "custom_attributes": {},
  "media_attributes": {},
  "allow_auto_detect_language": 0,
  "allow_to_remove_branding": 0,
  "allow_custom_domain": 0
}
'
{
  "message": "Form Updated Successfully"
}

Documentation Index

Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).

Path Parameters

feed_form_id
string
required

Body

application/json

Request body for creating or updating a review form. Most fields are optional. Conditional requirements apply based on enabled features.

name
string
required

Name of the review form (required, max 140 characters)

Maximum string length: 140
is_paused
boolean

Pause or unpause the form. When this field is present, only this field is validated.

description
string | null

Form description

page_title
string | null

Title displayed on the form page

page_main_message
string | null

Main message or description for the form page (supports HTML)

messaging_description
string | null

Messaging description (supports HTML)

page_image
file | null

Image file for the form page (optional, max 15MB)

hide_image
enum<integer> | null

Hide the page image (1 = yes, 0 = no)

Available options:
0,
1
favicon
string | null

Favicon path

review_label_ids
string[] | null

Array of review label IDs (each must be 26 characters, distinct)

Required string length: 26
allow_video_recording
enum<integer> | null

Enable video recording (1 = yes, 0 = no). When enabled, video_button_label is required.

Available options:
0,
1
video_button_label
string | null

Label for the video recording button (required if allow_video_recording is 1)

allow_screen_recording
enum<integer> | null

Enable screen recording (1 = yes, 0 = no). When enabled, screen_button_label is required.

Available options:
0,
1
screen_button_label
string | null

Label for the screen recording button (required if allow_screen_recording is 1)

allow_audio_recording
enum<integer> | null

Enable audio recording (1 = yes, 0 = no). When enabled, audio_button_label is required.

Available options:
0,
1
audio_button_label
string | null

Label for the audio recording button (required if allow_audio_recording is 1)

allow_text_review
enum<integer> | null

Enable text review (1 = yes, 0 = no). When enabled, text_button_label is required.

Available options:
0,
1
text_button_label
string | null

Label for the text review button (required if allow_text_review is 1)

allow_upload_file_option
enum<integer> | null

Enable file upload option (1 = yes, 0 = no). When enabled, text_file_upload_label is required.

Available options:
0,
1
text_file_upload_label
string | null

Label for the file upload input (required if allow_upload_file_option is 1)

allow_files
string[] | null

Allowed file types for upload (e.g., all_video)

allow_review_type
enum<string> | null

Review type: '0' = text only comment, '1' = text rating with comment

Available options:
0,
1
remark_placeholder
string | null

Placeholder text for remarks (required in certain review type configurations)

option_to_add_remark
enum<integer> | null

Option to add remark (1 = yes, 0 = no)

Available options:
0,
1
is_required_remark
enum<integer> | null

Is remark required (1 = yes, 0 = no)

Available options:
0,
1
additionalinfo
string[] | null

Array of additional info fields (e.g., 'other_text', 'other_text2', 'other_text3', 'consent')

other_text_label
string | null

Label for other_text field (required if 'other_text' in additionalinfo)

other_text_placeholder
string | null

Placeholder for other_text field (required if 'other_text' in additionalinfo)

other_text2_label
string | null

Label for other_text2 field (required if 'other_text2' in additionalinfo)

other_text2_placeholder
string | null

Placeholder for other_text2 field (required if 'other_text2' in additionalinfo)

other_text3_label
string | null

Label for other_text3 field (required if 'other_text3' in additionalinfo)

other_text3_placeholder
string | null

Placeholder for other_text3 field (required if 'other_text3' in additionalinfo)

Consent label text (required if 'consent' in additionalinfo, must contain valid link format)

thank_you_type
enum<string> | null

Thank you page type

Available options:
thank_you_page,
redirection
thankyou_title
string | null

Thank you page title

thankyou_message
string | null

Thank you page message

thankyou_reveal_text
string | null

Thank you reveal text

thankyou_redirection_url
string<uri> | null

Thank you redirection URL (required if thank_you_type is 'redirection')

Allow video and shareable link (1 = yes, 0 = no)

Available options:
0,
1
other_review_platforms_enabled
enum<integer> | null

Enable other review platforms (1 = yes, 0 = no)

Available options:
0,
1
other_review_platforms
object[] | null

Array of other review platforms (required if other_review_platforms_enabled is 1 and provided, min 1 item)

Minimum array length: 1

Thank you page affiliate link (URL with or without scheme, will be normalized to https://)

Enable thank you affiliate link (1 = yes, 0 = no)

Available options:
0,
1
hide_signup_section
enum<integer> | null

Hide signup section (1 = yes, 0 = no)

Available options:
0,
1
allow_star_redirection
boolean | null

Enable star redirection (true = yes, false = no)

star_redirection_min_rating
integer | null

Minimum rating for star redirection (1-5)

star_redirection_platforms
object[] | null

Array of star redirection platforms (required if allow_star_redirection is true and provided, min 1 item)

Minimum array length: 1
allow_introduction_media
enum<integer> | null

Allow introduction media (1 = yes, 0 = no)

Available options:
0,
1
introduction_media
object[] | null

Introduction media array (optional, max 1 item)

Maximum array length: 1
allow_thankyou_message_media
enum<integer> | null

Allow thank you message media (1 = yes, 0 = no)

Available options:
0,
1
thankyou_message_media
object[] | null

Thank you message media array (optional, max 1 item)

Maximum array length: 1
has_allow_media_review
enum<integer> | null

Allow media review (1 = yes, 0 = no)

Available options:
0,
1
has_capture_star_rating
enum<integer> | null

Capture star rating (1 = yes, 0 = no)

Available options:
0,
1
has_capture_comment
enum<integer> | null

Capture comment (1 = yes, 0 = no)

Available options:
0,
1
has_allow_image_uploads
enum<integer> | null

Allow image uploads (1 = yes, 0 = no)

Available options:
0,
1
show_reviews_on_form
enum<integer> | null

Show reviews on form (1 = yes, 0 = no)

Available options:
0,
1
reviews_widget_id
string<uuid> | null

Reviews widget UUID (required if show_reviews_on_form is 1)

Enable branding affiliate link (1 = yes, 0 = no)

Available options:
0,
1

Branding affiliate link (URL with or without scheme, will be normalized to https://)

submit_attributes
object

Submit page attributes

thankyou_attributes
object

Thank you page attributes

form_attributes
object

Form configuration attributes

custom_attributes
object

Custom styling and configuration attributes

media_attributes
object

Media configuration attributes

allow_auto_detect_language
enum<integer> | null

Allow auto-detect language (1 = yes, 0 = no)

Available options:
0,
1
allow_to_remove_branding
enum<integer> | null

Allow to remove branding (1 = yes, 0 = no)

Available options:
0,
1
allow_custom_domain
enum<integer> | null

Allow custom domain (1 = yes, 0 = no)

Available options:
0,
1

Response

200 - application/json

Review form updated successfully.

message
string